Subject: bug#30939: closed (Re: bug#36264: shepherd doesn't capture service stdout/stderr)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Sep 2024 07:20:02 +0000

Your bug report

#36264: shepherd: detailed output should be placed into well-known location and not tty

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36264: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36264
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36264: shepherd doesn't capture service stdout/stderr
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 06 Sep 2024 09:18:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Robert Vollmert <[email-masked]> skribis:

> On a pretty fresh Guix System install, I see some regular
> sshd error messages on tty1 (which I guess means they’re
> written to /dev/console). Also, setting up a regular
> shepherd service via make-forkexec-constructor for a
> program that logs to stderr (postgrest which I’m in the
> process of packaging), all output goes to tty1.
>
> Compare the discussion at
>
> https://lists.gnu.org/archive/html/guix-devel/2019-06/msg00186.html

Fortunately that was fixed in Shepherd 0.9.0 (April 2022).

Ludo’.

Subject: shepherd: detailed output should be placed into well-known location and not tty
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sun, 25 Mar 2018 18:35:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Problem, not just when a service is misbehaving after successful system reconfigure:

$ sudo herd start smtpd
Password: 
Service smtpd could not be started.
herd: failed to start service smtpd

This is on virtual terminal in X11, as well as in /var/log/messages,
/var/log/shepherd.log, etc.
This is not enough. If I wanted more info, I'd expect that
sudo herd status smtpd would give it (which it does not), so the only
reliable source of information so far is tty 1. Can we fix that in
one of the next shepherd releases? Or is this something we have to
fix in Guix?